summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2016-08-25 17:07:56 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2016-08-25 17:07:56 -0500
commit206a481e744388089a9d74e1b2678d7851733bb6 (patch)
tree2aa9372b2cd4b1ad151a56870cd534e4260ba7ad
parentdev-python/backports-lzma: remove old (diff)
downloadgentoo-206a481e744388089a9d74e1b2678d7851733bb6.tar.gz
gentoo-206a481e744388089a9d74e1b2678d7851733bb6.tar.bz2
gentoo-206a481e744388089a9d74e1b2678d7851733bb6.zip
cleanup of liberty tags in openstack
-rw-r--r--app-admin/glance/Manifest1
-rw-r--r--app-admin/glance/glance-11.0.1-r1.ebuild229
-rw-r--r--sys-auth/keystone/Manifest3
-rw-r--r--sys-auth/keystone/keystone-8.0.1-r1.ebuild226
-rw-r--r--sys-auth/keystone/keystone-8.1.0.ebuild229
-rw-r--r--sys-auth/keystone/keystone-8.1.2.ebuild230
-rw-r--r--sys-cluster/cinder/Manifest2
-rw-r--r--sys-cluster/cinder/cinder-7.0.1.ebuild266
-rw-r--r--sys-cluster/cinder/cinder-7.0.2.ebuild267
-rw-r--r--sys-cluster/neutron/Manifest3
-rw-r--r--sys-cluster/neutron/neutron-7.0.4.ebuild304
-rw-r--r--sys-cluster/neutron/neutron-7.1.0.ebuild304
-rw-r--r--sys-cluster/neutron/neutron-7.1.1.ebuild303
-rw-r--r--sys-cluster/nova/Manifest1
-rw-r--r--sys-cluster/nova/nova-12.0.4-r1.ebuild312
15 files changed, 0 insertions, 2680 deletions
diff --git a/app-admin/glance/Manifest b/app-admin/glance/Manifest
index 452b480bbb4..11ce14089ef 100644
--- a/app-admin/glance/Manifest
+++ b/app-admin/glance/Manifest
@@ -1,2 +1 @@
-DIST glance-11.0.1.tar.gz 1571617 SHA256 357d8cc17b23aefce8c53c9230a26db504d8039baf7e07d8ab9448ce2ceaccf3 SHA512 d43e79700179bbef39d82f8baa378c377f391e7bbd9022ec9e399379fb026be36b06b7ad7b89e39cb0b2a876111b451ad1acf3ad27cead5b58ce02106867bfa6 WHIRLPOOL bbd70deae3ac5b3d549fcca20e666d1ee3f240d59556712783ff4bb8fe780c0c06ff1344476a7a036aa5e99afcdc3a369a7bf322227717f17c42cc02e5f3b477
DIST glance-12.0.0.tar.gz 1746851 SHA256 42213a4cd59bbcaa5f34d09ff48494a4d9831de9f27fc8541726a685a4c4f509 SHA512 c0a4327bb091dca52a125dbc314c8fe13b2914ed0191ee8a39a36a7ccc5324fc8910f4c2af5a615f7783e3acee0f46a9a5370de278af53f80ce45b08c15ace48 WHIRLPOOL 1a23d1629f1be1b13b2c45ff77b7777d9cd011c01c45e1e6e5457d12b7b5cf6dcdfc757a36fde4cc84d34872be3fb1941e8cd158e2734215cab4f753f154a78e
diff --git a/app-admin/glance/glance-11.0.1-r1.ebuild b/app-admin/glance/glance-11.0.1-r1.ebuild
deleted file mode 100644
index a170f9f77a1..00000000000
--- a/app-admin/glance/glance-11.0.1-r1.ebuild
+++ /dev/null
@@ -1,229 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 user
-
-DESCRIPTION="Services for discovering, registering, and retrieving VM images"
-HOMEPAGE="https://launchpad.net/glance"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="doc mysql postgres +sqlite +swift test"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-1.6.0[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}
- test? (
- ${RDEPEND}
- >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
- <=dev-python/Babel-2.1.1[${PYTHON_USEDEP}]
- >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/mox3-0.12.0[${PYTHON_USEDEP}]
- >=dev-python/mock-1.2[${PYTHON_USEDEP}]
- <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
- <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
- >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
- <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
- >=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
- <=dev-python/testresources-1.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
- <=dev-python/testscenarios-0.5[${PYTHON_USEDEP}]
- >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/psutil-1.1.1[${PYTHON_USEDEP}]
- <dev-python/psutil-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
- <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/pymysql-0.6.2[${PYTHON_USEDEP}]
- <=dev-python/pymysql-0.6.7[${PYTHON_USEDEP}]
- >=dev-python/psycopg-2.5[${PYTHON_USEDEP}]
- <=dev-python/psycopg-2.6.1[${PYTHON_USEDEP}]
- >=dev-python/pysendfile-2.0.0[${PYTHON_USEDEP}]
- <=dev-python/pysendfile-2.0.1[${PYTHON_USEDEP}]
- <=dev-python/qpid-python-0.32[$(python_gen_usedep 'python2_7')]
- >=dev-python/pyxattr-0.5.0[${PYTHON_USEDEP}]
- >=dev-python/python-swiftclient-2.2.0[${PYTHON_USEDEP}]
- <=dev-python/python-swiftclient-2.7.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
- )"
-
-#note to self, wsgiref is a python builtin, no need to package it
-#>=dev-python/wsgiref-0.1.2[${PYTHON_USEDEP}]
-
-RDEPEND="
- ${CDEPEND}
- sqlite? (
- >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- )
- mysql? (
- dev-python/mysql-python
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- postgres? (
- dev-python/psycopg:2[${PYTHON_USEDEP}]
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- ~dev-python/anyjson-0.3.3[${PYTHON_USEDEP}]
- ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
- >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
- !~dev-python/routes-2.0[${PYTHON_USEDEP}]
- !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
- <=dev-python/routes-2.2[${PYTHON_USEDEP}]
- >=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
- <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
- >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
- <=dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
- >=dev-python/httplib2-0.7.5[${PYTHON_USEDEP}]
- <=dev-python/httplib2-0.9.2[${PYTHON_USEDEP}]
- >=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
- <=dev-python/pycrypto-2.6.1[${PYTHON_USEDEP}]
- >=dev-python/iso8601-0.1.9[${PYTHON_USEDEP}]
- <=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/futurist-0.1.2[${PYTHON_USEDEP}]
- <=dev-python/futurist-0.8.0[${PYTHON_USEDEP}]
- >=dev-python/taskflow-1.16.0[${PYTHON_USEDEP}]
- <=dev-python/taskflow-1.25.0[${PYTHON_USEDEP}]
- >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-4.0.0[${PYTHON_USEDEP}]
- >=dev-python/WSME-0.7[${PYTHON_USEDEP}]
- <=dev-python/WSME-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
- <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/python-keystoneclient-2.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/pyopenssl-0.14[${PYTHON_USEDEP}]
- <=dev-python/pyopenssl-0.15.1-r9999[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-policy-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
- !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
- <=dev-python/retrying-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/osprofiler-0.3.0[${PYTHON_USEDEP}]
- <=dev-python/osprofiler-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/glance_store-0.7.1[${PYTHON_USEDEP}]
- !~dev-python/glance_store-0.9.0[${PYTHON_USEDEP}]
- <=dev-python/glance_store-0.9.1[${PYTHON_USEDEP}]
- >=dev-python/semantic_version-2.3.1[${PYTHON_USEDEP}]
- <=dev-python/semantic_version-2.4.2[${PYTHON_USEDEP}]
- >=dev-python/castellan-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/castellan-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.0[${PYTHON_USEDEP}]
- <=dev-python/cryptography-1.1.2-r9999[${PYTHON_USEDEP}]
-"
-
-PATCHES=(
- "${FILESDIR}/cve-2016-0757-stable-liberty.patch"
-)
-
-pkg_setup() {
- enewgroup glance
- enewuser glance -1 -1 /var/lib/glance glance
-}
-
-python_prepare_all() {
- sed -i '/xattr/d' test-requirements.txt || die
- sed -i '/pysendfile/d' test-requirements.txt || die
- sed -i '/^hacking/d' test-requirements.txt || die
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- use doc && "${PYTHON}" setup.py build_sphinx
-}
-
-python_test() {
- # https://bugs.launchpad.net/glance/+bug/1251105
- # https://bugs.launchpad.net/glance/+bug/1242501
- testr init
- testr run --parallel || die "failed testsuite under python2.7"
-}
-
-python_install() {
- distutils-r1_python_install
-
- for svc in api registry scrubber; do
- newinitd "${FILESDIR}/glance.initd" glance-${svc}
- done
-
- diropts -m 0750 -o glance -g glance
- dodir /var/log/glance /var/lib/glance/images /var/lib/glance/scrubber
- keepdir /etc/glance
- keepdir /var/log/glance
- keepdir /var/lib/glance/images
- keepdir /var/lib/glance/scrubber
-
- insinto /etc/glance
- insopts -m 0640 -o glance -g glance
- doins etc/*.ini
- doins etc/*.conf
- doins etc/*.sample
-}
-
-python_install_all() {
- use doc && local HTML_DOCS=( doc/build/html/. )
- distutils-r1_python_install_all
-}
diff --git a/sys-auth/keystone/Manifest b/sys-auth/keystone/Manifest
index a27f48d26a1..f0bd2bf9d9f 100644
--- a/sys-auth/keystone/Manifest
+++ b/sys-auth/keystone/Manifest
@@ -1,4 +1 @@
-DIST keystone-8.0.1.tar.gz 1067603 SHA256 4d1a76e879eb5fc977692892d1dce46a0190bf17d57056d634d377ea4511b475 SHA512 2b61b8dc38df3e3fa7c684b55f19b48391f087f00a6156732e1d6d207f36f6d23fff3adaaacbb4b7629686b4fce8a963189051bb0c2f0dad02c219832dc64af5 WHIRLPOOL 812c553d493a26adc0b6c76db3b9b8e7da35593425ac7bf986aa3b6e1b51f3816f95b4a84339902e16f8a3d61a6bd053ab4e310e77f8ce874ed4165395cd9799
-DIST keystone-8.1.0.tar.gz 1070643 SHA256 2a068686c3392215547c51579b6ffe782c61629881b77c204340f942713395ba SHA512 ae13a6f615e9afe10ca8ccbf47c2e1ded2804e2f185f6b96446bf02d4f428c461971614490fbf25220693fae79b478d4ff2a78c414f00d77b1f0014845bb72df WHIRLPOOL a6a66ccbe151d51189e0f2a5dd393766ab8cb39085bab985f6818e69c7448d145a8d0937c66399bcc15c298338021069d782f41102c6258ad15a546d32d5d4da
-DIST keystone-8.1.2.tar.gz 1073146 SHA256 9871dcef23774e28cef590514d162b21ef375b4ebb871e68b70bdd9231eb8e38 SHA512 e610ea2e3164d0f26eedf3c0b494d08b89023eb9579439793425d81e67e203ef2209192fb1d9028b6246b61069f580077184217ce5ef2745e2a28667e2675937 WHIRLPOOL 765f73ff0768498fdb67246a424dee8c8f2069fee709a3b0991000860e3802c1fde627cdbd2246198b60cc0b6069f5b061825a478ef886d85329f246431b6ccb
DIST keystone-9.1.0.tar.gz 1183959 SHA256 3828f8907d07901a3f0516b9ee99fbd42bd9d293e4fa137d850a46487c76bad3 SHA512 2326d3ef91e614df8c0cfc68c4c4ced5f28a9c2c07e7bf6b7e55078c12d00cbb910bb53e1aee9cfcded70cfd78ab250ae5316bfc40e79609e980f0512f308fc0 WHIRLPOOL 5f6fcdcd5e2bb6dd2f7a0feaf6645f06baa5cdcaa645dc18a6fc95d2eaddcc1d160d4735631c08a90103a392b502344e8d463b917fb78a286ac4dcc806f22029
diff --git a/sys-auth/keystone/keystone-8.0.1-r1.ebuild b/sys-auth/keystone/keystone-8.0.1-r1.ebuild
deleted file mode 100644
index 8d7acadb9e8..00000000000
--- a/sys-auth/keystone/keystone-8.0.1-r1.ebuild
+++ /dev/null
@@ -1,226 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 user
-
-DESCRIPTION="The Openstack authentication, authorization, and service catalog"
-HOMEPAGE="https://launchpad.net/keystone"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="+sqlite memcached mongo mysql postgres ldap test"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}
- test? (
- ${RDEPEND}
- >=dev-python/bashate-0.2[${PYTHON_USEDEP}]
- <=dev-python/bashate-0.3.2[${PYTHON_USEDEP}]
- memcached? (
- >=dev-python/python-memcached-1.48[${PYTHON_USEDEP}]
- <=dev-python/python-memcached-1.57[${PYTHON_USEDEP}]
- )
- mongo? (
- >=dev-python/pymongo-2.6.3[${PYTHON_USEDEP}]
- <dev-python/pymongo-3.2[${PYTHON_USEDEP}]
- )
- ldap? (
- >=dev-python/python-ldap-2.4[$(python_gen_usedep 'python2_7')]
- <=dev-python/python-ldap-2.4.20[$(python_gen_usedep 'python2_7')]
- ~dev-python/ldappool-1.0[$(python_gen_usedep 'python2_7')]
- )
- >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
- <=dev-python/lxml-3.5.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/mock-1.2[${PYTHON_USEDEP}]
- <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
- <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
- <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
- >=dev-python/webtest-2.0[${PYTHON_USEDEP}]
- <=dev-python/webtest-2.0.20[${PYTHON_USEDEP}]
- >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
- >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
- >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
- <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
- )"
-RDEPEND="
- ${CDEPEND}
- >=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
- <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
- ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
- <=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
- <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
- >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
- !~dev-python/routes-2.0[${PYTHON_USEDEP}]
- !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
- <=dev-python/routes-2.2[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.0[${PYTHON_USEDEP}]
- <=dev-python/cryptography-1.1.2-r9999[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.10.0-r9999[${PYTHON_USEDEP}]
- sqlite? (
- >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- )
- mysql? (
- dev-python/mysql-python
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- postgres? (
- dev-python/psycopg:2
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
- <=dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/passlib-1.6[${PYTHON_USEDEP}]
- <=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
- >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/python-keystoneclient-2.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-4.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-policy-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/oauthlib-0.6.0[${PYTHON_USEDEP}]
- <=dev-python/oauthlib-1.0.3[${PYTHON_USEDEP}]
- >=dev-python/pysaml2-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/pysaml2-4.0.0[${PYTHON_USEDEP}]
- >=dev-python/dogpile-cache-0.5.4[${PYTHON_USEDEP}]
- <=dev-python/dogpile-cache-0.5.7[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
- <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
- ~dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
- <=dev-python/pycadf-2.0.1[${PYTHON_USEDEP}]
- ~dev-python/msgpack-0.4.6[${PYTHON_USEDEP}]"
-
-PATCHES=(
- "${FILESDIR}/CVE-2015-7546_8.0.1.patch"
-)
-
-pkg_setup() {
- enewgroup keystone
- enewuser keystone -1 -1 /var/lib/keystone keystone
-}
-
-python_prepare_all() {
- # it's in git, but not in the tarball.....
- sed -i '/^hacking/d' test-requirements.txt || die
- mkdir -p ${PN}/tests/tmp/ || die
- cp etc/keystone-paste.ini ${PN}/tests/tmp/ || die
- distutils-r1_python_prepare_all
-}
-
-# Ignore (naughty) test_.py files & 1 test that connect to the network
-#-I 'test_keystoneclient*' \
-python_test() {
- nosetests -I 'test_keystoneclient*' \
- -e test_static_translated_string_is_Message \
- -e test_get_token_id_error_handling \
- -e test_provider_token_expiration_validation \
- -e test_import --process-restartworker --process-timeout=60 || die "testsuite failed under python2.7"
-}
-
-python_install() {
- distutils-r1_python_install
- newconfd "${FILESDIR}/keystone.confd" keystone
- newinitd "${FILESDIR}/keystone.initd" keystone
-
- diropts -m 0750
- keepdir /etc/keystone /var/log/keystone
- insinto /etc/keystone
- insopts -m0640 -okeystone -gkeystone
- doins etc/keystone.conf.sample etc/logging.conf.sample
- doins etc/default_catalog.templates etc/policy.json
- doins etc/policy.v3cloudsample.json etc/keystone-paste.ini
- insinto /etc/keystone/httpd
- doins httpd/keystone.py httpd/wsgi-keystone.conf
-
- fowners keystone:keystone /etc/keystone /var/log/keystone
-}
-
-pkg_postinst() {
- elog "You might want to run:"
- elog "emerge --config =${CATEGORY}/${PF}"
- elog "if this is a new install."
- elog "If you have not already configured your openssl installation"
- elog "please do it by modifying /etc/ssl/openssl.cnf"
- elog "BEFORE issuing the configuration command."
- elog "Otherwise default values will be used."
-}
-
-pkg_config() {
- if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
- einfo "Press ENTER to configure the keystone PKI, or Control-C to abort now..."
- read
- "${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user keystone --keystone-group keystone
- else
- einfo "keystone PKI certificates directory already present, skipping configuration"
- fi
-}
diff --git a/sys-auth/keystone/keystone-8.1.0.ebuild b/sys-auth/keystone/keystone-8.1.0.ebuild
deleted file mode 100644
index 1980bd8c146..00000000000
--- a/sys-auth/keystone/keystone-8.1.0.ebuild
+++ /dev/null
@@ -1,229 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 user
-
-DESCRIPTION="The Openstack authentication, authorization, and service catalog"
-HOMEPAGE="https://launchpad.net/keystone"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="+sqlite memcached mongo mysql postgres ldap test"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}
- test? (
- ${RDEPEND}
- >=dev-python/bashate-0.2[${PYTHON_USEDEP}]
- <=dev-python/bashate-0.3.2[${PYTHON_USEDEP}]
- memcached? (
- >=dev-python/python-memcached-1.48[${PYTHON_USEDEP}]
- <=dev-python/python-memcached-1.57[${PYTHON_USEDEP}]
- )
- mongo? (
- >=dev-python/pymongo-2.6.3[${PYTHON_USEDEP}]
- <dev-python/pymongo-3.2[${PYTHON_USEDEP}]
- )
- ldap? (
- >=dev-python/python-ldap-2.4[$(python_gen_usedep 'python2_7')]
- <=dev-python/python-ldap-2.4.20[$(python_gen_usedep 'python2_7')]
- ~dev-python/ldappool-1.0[$(python_gen_usedep 'python2_7')]
- )
- >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
- <=dev-python/lxml-3.5.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/mock-1.2[${PYTHON_USEDEP}]
- <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
- <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
- <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
- >=dev-python/webtest-2.0[${PYTHON_USEDEP}]
- <=dev-python/webtest-2.0.20[${PYTHON_USEDEP}]
- >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
- >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
- >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/requests-2.9.0[${PYTHON_USEDEP}]
- <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
- )"
-RDEPEND="
- ${CDEPEND}
- >=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
- <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
- ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
- <=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
- <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
- >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
- !~dev-python/routes-2.0[${PYTHON_USEDEP}]
- !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
- <=dev-python/routes-2.2[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.0[${PYTHON_USEDEP}]
- <=dev-python/cryptography-1.1.2-r9999[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.10.0-r9999[${PYTHON_USEDEP}]
- sqlite? (
- >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- )
- mysql? (
- dev-python/mysql-python
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- postgres? (
- dev-python/psycopg:2
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
- <=dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/passlib-1.6[${PYTHON_USEDEP}]
- <=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
- >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/python-keystoneclient-2.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-4.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.1.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-policy-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/oauthlib-0.6.0[${PYTHON_USEDEP}]
- <=dev-python/oauthlib-1.0.3[${PYTHON_USEDEP}]
- >=dev-python/pysaml2-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/pysaml2-4.0.0[${PYTHON_USEDEP}]
- >=dev-python/dogpile-cache-0.5.4[${PYTHON_USEDEP}]
- <=dev-python/dogpile-cache-0.5.7[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
- <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
- ~dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
- <=dev-python/pycadf-2.0.1[${PYTHON_USEDEP}]
- ~dev-python/msgpack-0.4.6[${PYTHON_USEDEP}]"
-
-#PATCHES=(
-#)
-
-pkg_setup() {
- enewgroup keystone
- enewuser keystone -1 -1 /var/lib/keystone keystone
-}
-
-python_prepare_all() {
- # it's in git, but not in the tarball.....
- sed -i '/^hacking/d' test-requirements.txt || die
- mkdir -p ${PN}/tests/tmp/ || die
- cp etc/keystone-paste.ini ${PN}/tests/tmp/ || die
- distutils-r1_python_prepare_all
-}
-
-# Ignore (naughty) test_.py files & 1 test that connect to the network
-#-I 'test_keystoneclient*' \
-python_test() {
- nosetests -I 'test_keystoneclient*' \
- -e test_static_translated_string_is_Message \
- -e test_get_token_id_error_handling \
- -e test_provider_token_expiration_validation \
- -e test_import --process-restartworker --process-timeout=60 || die "testsuite failed under python2.7"
-}
-
-python_install() {
- distutils-r1_python_install
- newconfd "${FILESDIR}/keystone.confd" keystone
- newinitd "${FILESDIR}/keystone.initd" keystone
-
- diropts -m 0750
- keepdir /etc/keystone /var/log/keystone
- insinto /etc/keystone
- insopts -m0640 -okeystone -gkeystone
- doins etc/keystone.conf.sample etc/logging.conf.sample
- doins etc/default_catalog.templates etc/policy.json
- doins etc/policy.v3cloudsample.json etc/keystone-paste.ini
- insinto /etc/keystone/httpd
- doins httpd/keystone.py httpd/wsgi-keystone.conf
-
- fowners keystone:keystone /etc/keystone /var/log/keystone
-}
-
-pkg_postinst() {
- elog "You might want to run:"
- elog "emerge --config =${CATEGORY}/${PF}"
- elog "if this is a new install."
- elog "If you have not already configured your openssl installation"
- elog "please do it by modifying /etc/ssl/openssl.cnf"
- elog "BEFORE issuing the configuration command."
- elog "Otherwise default values will be used."
-}
-
-pkg_config() {
- if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
- einfo "Press ENTER to configure the keystone PKI, or Control-C to abort now..."
- read
- "${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user keystone --keystone-group keystone
- else
- einfo "keystone PKI certificates directory already present, skipping configuration"
- fi
-}
diff --git a/sys-auth/keystone/keystone-8.1.2.ebuild b/sys-auth/keystone/keystone-8.1.2.ebuild
deleted file mode 100644
index d2a83eecc27..00000000000
--- a/sys-auth/keystone/keystone-8.1.2.ebuild
+++ /dev/null
@@ -1,230 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 user
-
-DESCRIPTION="The Openstack authentication, authorization, and service catalog"
-HOMEPAGE="https://launchpad.net/keystone"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="+sqlite memcached mongo mysql postgres ldap test"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}
- test? (
- ${RDEPEND}
- >=dev-python/bashate-0.2[${PYTHON_USEDEP}]
- <=dev-python/bashate-0.3.2[${PYTHON_USEDEP}]
- memcached? (
- >=dev-python/python-memcached-1.48[${PYTHON_USEDEP}]
- <=dev-python/python-memcached-1.57[${PYTHON_USEDEP}]
- )
- mongo? (
- >=dev-python/pymongo-2.6.3[${PYTHON_USEDEP}]
- <dev-python/pymongo-3.2[${PYTHON_USEDEP}]
- )
- ldap? (
- >=dev-python/python-ldap-2.4[$(python_gen_usedep 'python2_7')]
- <=dev-python/python-ldap-2.4.20[$(python_gen_usedep 'python2_7')]
- ~dev-python/ldappool-1.0[$(python_gen_usedep 'python2_7')]
- )
- >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
- <=dev-python/lxml-3.5.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/mock-1.2[${PYTHON_USEDEP}]
- <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
- <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
- <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
- >=dev-python/webtest-2.0[${PYTHON_USEDEP}]
- <=dev-python/webtest-2.0.20[${PYTHON_USEDEP}]
- >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
- >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
- >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/requests-2.9.0[${PYTHON_USEDEP}]
- <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
- )"
-RDEPEND="
- ${CDEPEND}
- >=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
- <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
- ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
- <=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
- <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
- >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
- !~dev-python/routes-2.0[${PYTHON_USEDEP}]
- !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
- !~dev-python/routes-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/routes-2.2[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.0[${PYTHON_USEDEP}]
- <=dev-python/cryptography-1.1.2-r9999[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.10.0-r9999[${PYTHON_USEDEP}]
- sqlite? (
- >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- )
- mysql? (
- dev-python/mysql-python
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- postgres? (
- dev-python/psycopg:2
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
- <=dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/passlib-1.6[${PYTHON_USEDEP}]
- <=dev-python/passlib-1.6.5[${PYTHON_USEDEP}]
- >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/python-keystoneclient-3.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-4.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.1.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-policy-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/oauthlib-0.6.0[${PYTHON_USEDEP}]
- <=dev-python/oauthlib-1.0.3[${PYTHON_USEDEP}]
- >=dev-python/pysaml2-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/pysaml2-4.0.0[${PYTHON_USEDEP}]
- >=dev-python/dogpile-cache-0.5.4[${PYTHON_USEDEP}]
- <=dev-python/dogpile-cache-0.5.7[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
- <dev-python/jsonschema-3.0.0[${PYTHON_USEDEP}]
- ~dev-python/pycadf-1.1.0[${PYTHON_USEDEP}]
- <=dev-python/pycadf-2.0.1[${PYTHON_USEDEP}]
- ~dev-python/msgpack-0.4.6[${PYTHON_USEDEP}]"
-
-#PATCHES=(
-#)
-
-pkg_setup() {
- enewgroup keystone
- enewuser keystone -1 -1 /var/lib/keystone keystone
-}
-
-python_prepare_all() {
- # it's in git, but not in the tarball.....
- sed -i '/^hacking/d' test-requirements.txt || die
- mkdir -p ${PN}/tests/tmp/ || die
- cp etc/keystone-paste.ini ${PN}/tests/tmp/ || die
- distutils-r1_python_prepare_all
-}
-
-# Ignore (naughty) test_.py files & 1 test that connect to the network
-#-I 'test_keystoneclient*' \
-python_test() {
- nosetests -I 'test_keystoneclient*' \
- -e test_static_translated_string_is_Message \
- -e test_get_token_id_error_handling \
- -e test_provider_token_expiration_validation \
- -e test_import --process-restartworker --process-timeout=60 || die "testsuite failed under python2.7"
-}
-
-python_install() {
- distutils-r1_python_install
- newconfd "${FILESDIR}/keystone.confd" keystone
- newinitd "${FILESDIR}/keystone.initd" keystone
-
- diropts -m 0750
- keepdir /etc/keystone /var/log/keystone
- insinto /etc/keystone
- insopts -m0640 -okeystone -gkeystone
- doins etc/keystone.conf.sample etc/logging.conf.sample
- doins etc/default_catalog.templates etc/policy.json
- doins etc/policy.v3cloudsample.json etc/keystone-paste.ini
- insinto /etc/keystone/httpd
- doins httpd/keystone.py httpd/wsgi-keystone.conf
-
- fowners keystone:keystone /etc/keystone /var/log/keystone
-}
-
-pkg_postinst() {
- elog "You might want to run:"
- elog "emerge --config =${CATEGORY}/${PF}"
- elog "if this is a new install."
- elog "If you have not already configured your openssl installation"
- elog "please do it by modifying /etc/ssl/openssl.cnf"
- elog "BEFORE issuing the configuration command."
- elog "Otherwise default values will be used."
-}
-
-pkg_config() {
- if [ ! -d "${ROOT}"/etc/keystone/ssl ] ; then
- einfo "Press ENTER to configure the keystone PKI, or Control-C to abort now..."
- read
- "${ROOT}"/usr/bin/keystone-manage pki_setup --keystone-user keystone --keystone-group keystone
- else
- einfo "keystone PKI certificates directory already present, skipping configuration"
- fi
-}
diff --git a/sys-cluster/cinder/Manifest b/sys-cluster/cinder/Manifest
index 9695d056065..9c46adaa952 100644
--- a/sys-cluster/cinder/Manifest
+++ b/sys-cluster/cinder/Manifest
@@ -1,5 +1,3 @@
-DIST cinder-7.0.1.tar.gz 2599206 SHA256 e02c37efdff0e1792f2a621b2dbb260e66db7c61fc0bba8cc1dd428e09eb05dc SHA512 1b32b96624f05e23b1ca78136ed2a8854df0da474912a2bcdda28395f233115271ae9f9f2e4eafa2efa97b2c9ae9143413bf60e13dc3c4f6251a6ba08e95daa0 WHIRLPOOL 92d9345ae81751c71b74964b6e8cbd33fc797cd8b9c449651449cd878a335811e4895ca3e1cd23d0f28d8bec68d23b6a199a6c2a21510d5858cfbe3f971d1444
-DIST cinder-7.0.2.tar.gz 2602703 SHA256 32f316be5244b669346036f6ebb3b19e84d0082e665f341355a5622b6dbae485 SHA512 8d62dfc8884152684ed4da30bc8ab38a58502d9892a4a7369795069b9dc32a9b0bf20ccb8de7f05e4e7d90c114d1bd0cded5334d6f667d73648a2b8142980e5c WHIRLPOOL a1fa654468042cbe5e882bbd9820c3dc7742d2280a410d080c3ae92eec24be85278765f67dc07afa7c44dc494b636d35c7adccddb3164c878cbab36e6e53dea3
DIST cinder-8.0.0.tar.gz 3955244 SHA256 bd05f3c0b7b2ae098284c062d20230aecdaa47ed623cb79907c39dd1e28f8a2e SHA512 5c6ec1dc172036068016373e2d30e55c88f07dae12438fcfe207caea2965360f0c7df5aff1a901c6e2442ebf0dbd56f0428e3f24651f6cdd682bb659f636b20c WHIRLPOOL 3bcd4477b7fd65b45dc305198fa8462e5c3bfffbdf75170607facdb446308aa9301a609090b4b43968369bf737b851d73a31af9b63752522b960850b3b6c0845
DIST cinder-8.1.0.tar.gz 3860875 SHA256 f2bd093ee6ed56b10a694e198eb2b3b436340b492d2bb1c6ae85eba5ef1e0326 SHA512 df6be20bfa90c6b1603125986e9b1b90f9f5e86b07a72acf52f53bd68adbc6971b5b9b88b70a312647d8306480ef55eade8cbe747d27646b302f886972631abb WHIRLPOOL 3516447f85bd2cecb907931d0c3eb0c379f2246c97be94b80549d01da68830d82d0dfe5967b153a287e98ee3a833c6d27491f5e3cb21a989bec490117c3b1b75
DIST liberty-cinder.conf.sample 122223 SHA256 dad765cbe995576c23b4aa45e316272826fd9a293bf111bcdcb2da9ab562fb43 SHA512 64696a606233fa6a0f2c844924a61e48552f38ce54dadbc8202455d32b9fa37575c8e1d5c1b3e086d37f832e60f754007f2bfa9cd4915e3ae5fd52e283896f64 WHIRLPOOL 2d03754cfe60be0b0f278181e3b9cec399227e643032d9bb53fdafb4504793da6459ceb9b93802d5452ab9b77d9b613ff87f04605833553011a0847d9d3f7e2c
diff --git a/sys-cluster/cinder/cinder-7.0.1.ebuild b/sys-cluster/cinder/cinder-7.0.1.ebuild
deleted file mode 100644
index 226a65584f8..00000000000
--- a/sys-cluster/cinder/cinder-7.0.1.ebuild
+++ /dev/null
@@ -1,266 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 eutils linux-info user
-
-DESCRIPTION="Cinder is the OpenStack Block storage service, a spin out of nova-volumes"
-HOMEPAGE="https://launchpad.net/cinder"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz
- https://dev.gentoo.org/~prometheanfire/dist/cinder/liberty/cinder.conf.sample -> liberty-cinder.conf.sample"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="+api +scheduler +volume iscsi lvm mysql +memcached postgres sqlite test"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}
- app-admin/sudo
- test? (
- ${RDEPEND}
- >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
- >=dev-python/ddt-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/mock-1.2[${PYTHON_USEDEP}]
- <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/mox3-0.12.0[${PYTHON_USEDEP}]
- >=dev-python/pymysql-0.6.2[${PYTHON_USEDEP}]
- <=dev-python/pymysql-0.6.7[${PYTHON_USEDEP}]
- >=dev-python/psycopg-2.5[${PYTHON_USEDEP}]
- <=dev-python/psycopg-2.6.1[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
- <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
- <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
- >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
- >=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
- <=dev-python/testresources-1.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
- <=dev-python/testscenarios-0.5[${PYTHON_USEDEP}]
- >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/os-testr-0.1.0[${PYTHON_USEDEP}]
- <=dev-python/os-testr-0.4.2[${PYTHON_USEDEP}]
- >=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
- >=dev-python/bandit-0.13.2[${PYTHON_USEDEP}]
- <=dev-python/bandit-0.16.2[${PYTHON_USEDEP}]
- >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
- )"
-
-RDEPEND="
- ${CDEPEND}
- ~dev-python/anyjson-0.3.3[${PYTHON_USEDEP}]
- >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
- <=dev-python/Babel-2.1.1[${PYTHON_USEDEP}]
- <=dev-python/enum34-1.1.1[$(python_gen_usedep 'python2_7')]
- >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- <=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
- <=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
- >=dev-python/iso8601-0.1.9[${PYTHON_USEDEP}]
- <=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
- >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-4.0.0[${PYTHON_USEDEP}]
- >=dev-python/kombu-3.0.7[${PYTHON_USEDEP}]
- <=dev-python/kombu-3.0.30[${PYTHON_USEDEP}]
- >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
- <=dev-python/lxml-3.5.0[${PYTHON_USEDEP}]
- >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
- !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
- <=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.1.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-policy-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-reports-0.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-reports-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-rootwrap-2.0.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-rootwrap-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-versionedobjects-0.9.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-versionedobjects-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/osprofiler-0.3.0[${PYTHON_USEDEP}]
- <=dev-python/osprofiler-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/paramiko-1.13.0[${PYTHON_USEDEP}]
- <=dev-python/paramiko-1.16.0[${PYTHON_USEDEP}]
- <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
- >=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
- <=dev-python/pycrypto-2.6.1[${PYTHON_USEDEP}]
- >=dev-python/pyparsing-2.0.1[${PYTHON_USEDEP}]
- <=dev-python/pyparsing-2.0.6[${PYTHON_USEDEP}]
- ~dev-python/python-barbicanclient-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/python-glanceclient-0.18.0[${PYTHON_USEDEP}]
- <=dev-python/python-glanceclient-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/python-novaclient-2.28.1[${PYTHON_USEDEP}]
- !~dev-python/python-novaclient-2.33.0[${PYTHON_USEDEP}]
- <=dev-python/python-novaclient-2.35.0[${PYTHON_USEDEP}]
- >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/python-keystoneclient-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/python-swiftclient-2.2.0[${PYTHON_USEDEP}]
- <=dev-python/python-swiftclient-2.7.0[${PYTHON_USEDEP}]
- >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/requests-2.9.0[${PYTHON_USEDEP}]
- <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
- !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
- <=dev-python/retrying-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
- !~dev-python/routes-2.0[${PYTHON_USEDEP}]
- !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
- <=dev-python/routes-2.2[${PYTHON_USEDEP}]
- >=dev-python/taskflow-1.16.0[${PYTHON_USEDEP}]
- <=dev-python/taskflow-1.25.0[${PYTHON_USEDEP}]
- >=dev-python/rtslib-fb-2.1.41[${PYTHON_USEDEP}]
- <=dev-python/rtslib-fb-2.1.58[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.10.0[${PYTHON_USEDEP}]
- sqlite? (
- >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- )
- mysql? (
- dev-python/mysql-python
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- postgres? (
- dev-python/psycopg:2
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
- <=dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
- ~dev-python/suds-0.6[${PYTHON_USEDEP}]
- >=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
- <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-vmware-0.16.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-vmware-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/os-brick-0.4.0[${PYTHON_USEDEP}]
- <=dev-python/os-brick-0.6.0[${PYTHON_USEDEP}]
- iscsi? (
- sys-block/tgt
- sys-block/open-iscsi
- )
- lvm? ( sys-fs/lvm2 )
- memcached? ( net-misc/memcached )
- app-emulation/qemu
- sys-fs/sysfsutils"
-# qemu is needed for image conversion
-
-PATCHES=(
-
-)
-
-pkg_setup() {
- linux-info_pkg_setup
- CONFIG_CHECK_MODULES="ISCSI_TCP"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK_MODULES}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be built as module (builtin doesn't work)"
- done
- fi
- enewgroup cinder
- enewuser cinder -1 -1 /var/lib/cinder cinder
-}
-
-python_prepare_all() {
- sed -i '/^hacking/d' test-requirements.txt || die
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- # Let's track progress of this # https://bugs.launchpad.net/swift/+bug/1249727
- nosetests -I test_wsgi.py cinder/tests/ || die "tests failed under python2.7"
-}
-
-python_install() {
- distutils-r1_python_install
- keepdir /etc/cinder
- dodir /etc/cinder/rootwrap.d
-
- for svc in api scheduler volume; do
- newinitd "${FILESDIR}/cinder.initd" cinder-${svc}
- done
-
- insinto /etc/cinder
- insopts -m0640 -o cinder -g cinder
- newins "${FILESDIR}/etc.liberty/api-httpd.conf" "api-httpd.conf"
- newins "${FILESDIR}/etc.liberty/api-paste.ini" "api-paste.ini"
- newins "${DISTDIR}/liberty-cinder.conf.sample" "cinder.conf.sample"
- newins "${FILESDIR}/etc.liberty/logging_sample.conf" "logging_sample.conf"
- newins "${FILESDIR}/etc.liberty/policy.json" "policy.json"
- newins "${FILESDIR}/etc.liberty/rootwrap.conf" "rootwrap.conf"
- insinto /etc/cinder/rootwrap.d
- newins "${FILESDIR}/etc.liberty/rootwrap.d/volume.filters" "volume.filters"
-
- dodir /var/log/cinder
- fowners cinder:cinder /var/log/cinder
-
- #add sudoers definitions for user nova
- insinto /etc/sudoers.d/
- insopts -m 0440 -o root -g root
- newins "${FILESDIR}/cinder.sudoersd" cinder
-}
-
-pkg_postinst() {
- if use iscsi ; then
- elog "Cinder needs tgtd to be installed and running to work with iscsi"
- elog "it also needs 'include /var/lib/cinder/volumes/*' in /etc/tgt/targets.conf"
- fi
-}
diff --git a/sys-cluster/cinder/cinder-7.0.2.ebuild b/sys-cluster/cinder/cinder-7.0.2.ebuild
deleted file mode 100644
index 15d4a4eb676..00000000000
--- a/sys-cluster/cinder/cinder-7.0.2.ebuild
+++ /dev/null
@@ -1,267 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 eutils linux-info user
-
-DESCRIPTION="Cinder is the OpenStack Block storage service, a spin out of nova-volumes"
-HOMEPAGE="https://launchpad.net/cinder"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz
- https://dev.gentoo.org/~prometheanfire/dist/cinder/liberty/cinder.conf.sample -> liberty-cinder.conf.sample"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="+api +scheduler +volume iscsi lvm mysql +memcached postgres sqlite test"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}
- app-admin/sudo
- test? (
- ${RDEPEND}
- >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
- >=dev-python/ddt-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/mock-1.2[${PYTHON_USEDEP}]
- <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/mox3-0.12.0[${PYTHON_USEDEP}]
- >=dev-python/pymysql-0.6.2[${PYTHON_USEDEP}]
- <=dev-python/pymysql-0.6.7[${PYTHON_USEDEP}]
- >=dev-python/psycopg-2.5[${PYTHON_USEDEP}]
- <=dev-python/psycopg-2.6.1[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
- <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
- <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
- >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
- >=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
- <=dev-python/testresources-1.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
- <=dev-python/testscenarios-0.5[${PYTHON_USEDEP}]
- >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/os-testr-0.1.0[${PYTHON_USEDEP}]
- <=dev-python/os-testr-0.4.2[${PYTHON_USEDEP}]
- >=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
- >=dev-python/bandit-0.13.2[${PYTHON_USEDEP}]
- <=dev-python/bandit-0.16.2[${PYTHON_USEDEP}]
- >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
- )"
-
-RDEPEND="
- ${CDEPEND}
- ~dev-python/anyjson-0.3.3[${PYTHON_USEDEP}]
- >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
- <=dev-python/Babel-2.1.1[${PYTHON_USEDEP}]
- <=dev-python/enum34-1.1.1[$(python_gen_usedep 'python2_7')]
- >=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- <=dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
- <=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
- >=dev-python/iso8601-0.1.9[${PYTHON_USEDEP}]
- <=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
- >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-4.0.0[${PYTHON_USEDEP}]
- >=dev-python/kombu-3.0.7[${PYTHON_USEDEP}]
- <=dev-python/kombu-3.0.30[${PYTHON_USEDEP}]
- >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
- <=dev-python/lxml-3.5.0[${PYTHON_USEDEP}]
- >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
- !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
- <=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.1.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-policy-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-reports-0.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-reports-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-rootwrap-2.0.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-rootwrap-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-versionedobjects-0.9.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-versionedobjects-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/osprofiler-0.3.0[${PYTHON_USEDEP}]
- <=dev-python/osprofiler-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/paramiko-1.13.0[${PYTHON_USEDEP}]
- <=dev-python/paramiko-1.16.0[${PYTHON_USEDEP}]
- <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
- >=dev-python/pycrypto-2.6[${PYTHON_USEDEP}]
- <=dev-python/pycrypto-2.6.1[${PYTHON_USEDEP}]
- >=dev-python/pyparsing-2.0.1[${PYTHON_USEDEP}]
- <=dev-python/pyparsing-2.0.6[${PYTHON_USEDEP}]
- ~dev-python/python-barbicanclient-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/python-glanceclient-0.18.0[${PYTHON_USEDEP}]
- <=dev-python/python-glanceclient-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/python-novaclient-2.28.1[${PYTHON_USEDEP}]
- !~dev-python/python-novaclient-2.33.0[${PYTHON_USEDEP}]
- <=dev-python/python-novaclient-2.35.0[${PYTHON_USEDEP}]
- >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/python-keystoneclient-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/python-swiftclient-2.2.0[${PYTHON_USEDEP}]
- <=dev-python/python-swiftclient-2.7.0[${PYTHON_USEDEP}]
- >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
- >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/requests-2.9.0[${PYTHON_USEDEP}]
- <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
- !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
- <=dev-python/retrying-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
- !~dev-python/routes-2.0[${PYTHON_USEDEP}]
- !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
- <=dev-python/routes-2.2[${PYTHON_USEDEP}]
- >=dev-python/taskflow-1.16.0[${PYTHON_USEDEP}]
- <=dev-python/taskflow-1.25.0[${PYTHON_USEDEP}]
- >=dev-python/rtslib-fb-2.1.41[${PYTHON_USEDEP}]
- <=dev-python/rtslib-fb-2.1.58[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.10.0[${PYTHON_USEDEP}]
- sqlite? (
- >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- )
- mysql? (
- dev-python/mysql-python
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- postgres? (
- dev-python/psycopg:2
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
- <=dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
- ~dev-python/suds-0.6[${PYTHON_USEDEP}]
- >=dev-python/webob-1.2.3-r1[${PYTHON_USEDEP}]
- <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-vmware-0.16.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-vmware-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/os-brick-0.4.0[${PYTHON_USEDEP}]
- <=dev-python/os-brick-0.6.0[${PYTHON_USEDEP}]
- iscsi? (
- sys-block/tgt
- sys-block/open-iscsi
- )
- lvm? ( sys-fs/lvm2 )
- memcached? ( net-misc/memcached )
- app-emulation/qemu
- sys-fs/sysfsutils"
-# qemu is needed for image conversion
-
-PATCHES=(
-
-)
-
-pkg_setup() {
- linux-info_pkg_setup
- CONFIG_CHECK_MODULES="ISCSI_TCP"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK_MODULES}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be built as module (builtin doesn't work)"
- done
- fi
- enewgroup cinder
- enewuser cinder -1 -1 /var/lib/cinder cinder
-}
-
-python_prepare_all() {
- sed -i '/^hacking/d' test-requirements.txt || die
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- # Let's track progress of this # https://bugs.launchpad.net/swift/+bug/1249727
- nosetests -I test_wsgi.py cinder/tests/ || die "tests failed under python2.7"
-}
-
-python_install() {
- distutils-r1_python_install
- keepdir /etc/cinder
- dodir /etc/cinder/rootwrap.d
-
- for svc in api scheduler volume; do
- newinitd "${FILESDIR}/cinder.initd" cinder-${svc}
- done
-
- insinto /etc/cinder
- insopts -m0640 -o cinder -g cinder
- newins "${FILESDIR}/etc.liberty/api-httpd.conf" "api-httpd.conf"
- newins "${FILESDIR}/etc.liberty/api-paste.ini" "api-paste.ini"
- newins "${DISTDIR}/liberty-cinder.conf.sample" "cinder.conf.sample"
- newins "${FILESDIR}/etc.liberty/logging_sample.conf" "logging_sample.conf"
- newins "${FILESDIR}/etc.liberty/policy.json" "policy.json"
- newins "${FILESDIR}/etc.liberty/rootwrap.conf" "rootwrap.conf"
- insinto /etc/cinder/rootwrap.d
- newins "${FILESDIR}/etc.liberty/rootwrap.d/volume.filters" "volume.filters"
-
- dodir /var/log/cinder
- fowners cinder:cinder /var/log/cinder
-
- #add sudoers definitions for user nova
- insinto /etc/sudoers.d/
- insopts -m 0440 -o root -g root
- newins "${FILESDIR}/cinder.sudoersd" cinder
-}
-
-pkg_postinst() {
- if use iscsi ; then
- elog "Cinder needs tgtd to be installed and running to work with iscsi"
- elog "it also needs 'include /var/lib/cinder/volumes/*' in /etc/tgt/targets.conf"
- fi
-}
diff --git a/sys-cluster/neutron/Manifest b/sys-cluster/neutron/Manifest
index a437a635d26..929ce6c5824 100644
--- a/sys-cluster/neutron/Manifest
+++ b/sys-cluster/neutron/Manifest
@@ -1,6 +1,3 @@
-DIST neutron-7.0.4.tar.gz 2535795 SHA256 6088bd85ffbf170d2463948de64b8eb8e0a5f42dcd1fdddb5283c6c5c91a5ee4 SHA512 2756681c0795b3ba0514c938c89d6b15f42c2a405371e99d547b4ed1b7bda383ae989a2d539950f782265badcce5e755f2cea9002e5875d263f1dfd8497c8d64 WHIRLPOOL 707d7c19c69a94788b45f6187cd0a3527cd67a3edacec4dea423b07f6a48cd98fdc77855d6edf2c126ce4c792f1ee8b70098aaca8c04db1fe0c332f4c8f46d04
-DIST neutron-7.1.0.tar.gz 2560006 SHA256 301f96ab109d32a0021e2d1929d0f7e9f0ddbfd915cb764596554e8bfa180afe SHA512 c58994e7d75b83d000141dd5eccbd31561f65e21656b5c1b11f27459fc5e6260b30366a70922ac3297de12aa42e88afe20fe4efff628f6b192af35d6efe1e35c WHIRLPOOL 43fbf0809a6868fe76dcdaf3ce9ffe7466f3b4701f6842b196d6dba43369f072d07d334eb1cbfadbd729d33d8822c9da6aaa42912fe9978d78bffed6b9c84987
-DIST neutron-7.1.1.tar.gz 2563050 SHA256 154b7f16f14768f1b7c8c6bf6fa2d79b7aeafab0e34c6a0d5b41f546137b94ab SHA512 86e6bd5df2cf14c2c6eaf422547de0a440ad878ab50988db9d3af23f65f14527aabe5b1dc4308fae375b6dd3a773466fb7cc8e025d4df8dad964b78ca30d28ff WHIRLPOOL c0f0b5e2f1e4bcfa22a33e6c3cc0dec769c017d400d628ff7532a6cd73ed5057f6eb0346f7df8f9331ab1093f584ba3f6622e32a22a3204bece011c89584f7b6
DIST neutron-8.1.2.tar.gz 2825641 SHA256 a3fdeed1421e1586bbdabd046474f1060bff4751257eacd90489f9e1b6eeff9d SHA512 70ae87033f8cc7c0b00373ed6fa82cd1406fdb12fa3688bb59e27f42c928944368e87099ee6c312f318375998cb3405ee70773feec8eaf4e20035d1a5442ff23 WHIRLPOOL f9313c89eebb7987dd9d6e3581179a9f49f8ce1c8e33de08136b6e32e0fb9486b49c91cd7ed9083a7609413f740c9dfb23d81f05db09edb0722d93f7601f80ab
DIST neutron-configs-2016.1.9999.tar.gz 11523 SHA256 906229c66882eb05d782a749b53b9368df28ae69eb99179cbaed2640996dd227 SHA512 95ff31ce599977b8bbd7f8783ba41c1f760a30721e8a6ea84fc8f0ecfc4f429d624dad29728d5bc026f7d76a4da6e19c0f4718fd1b58b65c50ff0470a3cf8f2d WHIRLPOOL 38868696cb444cd7c4eaaf704bfb8e2efb6486aa67a99951afd43de1a8e8ca7224e8b8592a2c28e09a7a43c1a9cf0ca02e44e05a50cc370bb9dacee873022a6d
DIST neutron-configs-8.1.2.tar.gz 11523 SHA256 906229c66882eb05d782a749b53b9368df28ae69eb99179cbaed2640996dd227 SHA512 95ff31ce599977b8bbd7f8783ba41c1f760a30721e8a6ea84fc8f0ecfc4f429d624dad29728d5bc026f7d76a4da6e19c0f4718fd1b58b65c50ff0470a3cf8f2d WHIRLPOOL 38868696cb444cd7c4eaaf704bfb8e2efb6486aa67a99951afd43de1a8e8ca7224e8b8592a2c28e09a7a43c1a9cf0ca02e44e05a50cc370bb9dacee873022a6d
diff --git a/sys-cluster/neutron/neutron-7.0.4.ebuild b/sys-cluster/neutron/neutron-7.0.4.ebuild
deleted file mode 100644
index e37ba8bd743..00000000000
--- a/sys-cluster/neutron/neutron-7.0.4.ebuild
+++ /dev/null
@@ -1,304 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 linux-info user
-
-DESCRIPTION="A virtual network service for Openstack"
-HOMEPAGE="https://launchpad.net/neutron"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="compute-only dhcp doc ipv6 l3 metadata openvswitch linuxbridge server test sqlite mysql postgres"
-REQUIRED_USE="!compute-only? ( || ( mysql postgres sqlite ) )
- compute-only? ( !mysql !postgres !sqlite !dhcp !l3 !metadata !server
- || ( openvswitch linuxbridge ) )"
-
-CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}
- app-admin/sudo
- test? (
- ${RDEPEND}
- >=dev-python/cliff-1.14.0[${PYTHON_USEDEP}]
- <=dev-python/cliff-1.15.0[${PYTHON_USEDEP}]
- >=dev-python/cliff-1.14.0[${PYTHON_USEDEP}]
- >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/mock-1.2[${PYTHON_USEDEP}]
- <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/requests-mock-0.6.0[${PYTHON_USEDEP}]
- <=dev-python/requests-mock-0.7.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
- <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
- >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
- >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
- <=dev-python/testresources-1.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
- <=dev-python/testscenarios-0.5[${PYTHON_USEDEP}]
- >=dev-python/webtest-2.0[${PYTHON_USEDEP}]
- <=dev-python/webtest-2.0.20[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
- <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/os-testr-0.1.0[${PYTHON_USEDEP}]
- <=dev-python/os-testr-0.6.0[${PYTHON_USEDEP}]
- >=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
- >=dev-python/ddt-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
- ~dev-python/pylint-1.4.4[${PYTHON_USEDEP}]
- >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
- )"
-
-RDEPEND="
- <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.5.0-r1[${PYTHON_USEDEP}]
- <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
- >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
- !~dev-python/routes-2.0[${PYTHON_USEDEP}]
- !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
- <=dev-python/routes-2.2[${PYTHON_USEDEP}]
- >=dev-python/debtcollector-0.3.0[${PYTHON_USEDEP}]
- <=dev-python/debtcollector-1.1.0[${PYTHON_USEDEP}]
- ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/pecan-1.0.0[${PYTHON_USEDEP}]
- <=dev-python/pecan-1.0.3[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
- <=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
- >=dev-python/httplib2-0.7.5[${PYTHON_USEDEP}]
- <=dev-python/httplib2-0.9.2[${PYTHON_USEDEP}]
- >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/requests-2.9.0[${PYTHON_USEDEP}]
- <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/jinja-2.6[${PYTHON_USEDEP}]
- <=dev-python/jinja-2.8[${PYTHON_USEDEP}]
- >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- !=dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-4.0.0[${PYTHON_USEDEP}]
- >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
- !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
- <=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
- >=dev-python/python-neutronclient-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/python-neutronclient-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
- !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
- <=dev-python/retrying-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/ryu-3.23.2[${PYTHON_USEDEP}]
- <=dev-python/ryu-3.26[${PYTHON_USEDEP}]
- compute-only? (
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- sqlite? (
- >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- )
- mysql? (
- dev-python/mysql-python
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- postgres? (
- dev-python/psycopg:2
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- >=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
- <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
- >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/python-keystoneclient-2.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/alembic-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/alembic-0.8.3[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.1.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-policy-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-rootwrap-2.0.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-rootwrap-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-versionedobjects-0.9.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-versionedobjects-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/python-novaclient-2.28.1[${PYTHON_USEDEP}]
- !~dev-python/python-novaclient-2.33.0[${PYTHON_USEDEP}]
- <=dev-python/python-novaclient-2.35.0[${PYTHON_USEDEP}]
- <=dev-python/pyudev-0.18[${PYTHON_USEDEP}]
- sys-apps/iproute2
- net-misc/bridge-utils
- net-firewall/ipset
- net-firewall/iptables
- net-firewall/ebtables
- openvswitch? ( <=net-misc/openvswitch-2.5.9999 )
- ipv6? ( net-misc/radvd )
- dhcp? ( net-dns/dnsmasq[dhcp-tools] )"
-
-PATCHES=(
-)
-
-pkg_setup() {
- linux-info_pkg_setup
- CONFIG_CHECK_MODULES="VLAN_8021Q IP6_NF_FILTER IP6_NF_IPTABLES IP_NF_TARGET_REJECT \
- IP_NF_MANGLE IP_NF_TARGET_MASQUERADE NF_NAT_IPV4 NF_CONNTRACK_IPV4 NF_DEFRAG_IPV4 \
- NF_NAT_IPV4 NF_NAT NF_CONNTRACK IP_NF_FILTER IP_NF_IPTABLES NETFILTER_XTABLES"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK_MODULES}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled in kernel"
- done
- fi
- enewgroup neutron
- enewuser neutron -1 -1 /var/lib/neutron neutron
-}
-
-pkg_config() {
- fperms 0700 /var/log/neutron
- fowners neutron:neutron /var/log neutron
-}
-
-src_prepare() {
- sed -i '/^hacking/d' test-requirements.txt || die
- # it's /bin/ip not /sbin/ip
- sed -i 's/sbin\/ip\,/bin\/ip\,/g' etc/neutron/rootwrap.d/* || die
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- use doc && make -C doc html
-}
-
-python_test() {
- # https://bugs.launchpad.net/neutron/+bug/1234857
- # https://bugs.launchpad.net/swift/+bug/1249727
- # https://bugs.launchpad.net/neutron/+bug/1251657
- # Move tests out that attempt net connection, have failures
- mv $(find . -name test_ovs_tunnel.py) . || die
- sed -e 's:test_app_using_ipv6_and_ssl:_&:' \
- -e 's:test_start_random_port_with_ipv6:_&:' \
- -i neutron/tests/unit/test_wsgi.py || die
- testr init
- testr run --parallel || die "failed testsuite under python2.7"
-}
-
-python_install() {
- distutils-r1_python_install
- if use server; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-server"
- newconfd "${FILESDIR}/neutron-server.confd" "neutron-server"
- dosym /etc/neutron/plugin.ini /etc/neutron/plugins/ml2/ml2_conf.ini
- fi
- if use dhcp; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-dhcp-agent"
- newconfd "${FILESDIR}/neutron-dhcp-agent.confd" "neutron-dhcp-agent"
- fi
- if use l3; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-l3-agent"
- newconfd "${FILESDIR}/neutron-l3-agent.confd" "neutron-l3-agent"
- fi
- if use metadata; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-metadata-agent"
- newconfd "${FILESDIR}/neutron-metadata-agent.confd" "neutron-metadata-agent"
- fi
- if use openvswitch; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-openvswitch-agent"
- newconfd "${FILESDIR}/neutron-openvswitch-agent.confd" "neutron-openvswitch-agent"
- newinitd "${FILESDIR}/neutron.initd" "neutron-ovs-cleanup"
- newconfd "${FILESDIR}/neutron-openvswitch-agent.confd" "neutron-ovs-cleanup"
- fi
- if use linuxbridge; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-linuxbridge-agent"
- newconfd "${FILESDIR}/neutron-linuxbridge-agent.confd.liberty" "neutron-linuxbridge-agent"
- fi
- diropts -m 755 -o neutron -g neutron
- dodir /var/log/neutron /var/lib/neutron
- keepdir /etc/neutron
- insinto /etc/neutron
- insopts -m 0640 -o neutron -g neutron
-
- doins etc/*
- # stupid renames
- rm "${D}etc/neutron/quantum"
- insinto /etc/neutron
- doins -r "etc/neutron/plugins"
- insopts -m 0640 -o root -g root
- doins "etc/rootwrap.conf"
- doins -r "etc/neutron/rootwrap.d"
-
- insopts -m 0644
- insinto "/usr/lib64/python2.7/site-packages/neutron/db/migration/alembic_migrations/"
- doins -r "neutron/db/migration/alembic_migrations/versions"
-
- #add sudoers definitions for user neutron
- insinto /etc/sudoers.d/
- insopts -m 0440 -o root -g root
- newins "${FILESDIR}/neutron.sudoersd" neutron
-
- #remove superfluous stuff
- rm -R "${D}/usr/etc/"
-}
-
-python_install_all() {
- use doc && local HTML_DOCS=( doc/build/html/. )
- distutils-r1_python_install_all
-}
-
-pkg_postinst() {
- elog
- elog "neutron-server's conf.d file may need updating to include additional ini files"
- elog "We currently assume the ml2 plugin will be used but do not make assumptions"
- elog "on if you will use openvswitch or linuxbridge (or something else)"
- elog
- elog "Other conf.d files may need updating too, but should be good for the default use case"
- elog
-}
diff --git a/sys-cluster/neutron/neutron-7.1.0.ebuild b/sys-cluster/neutron/neutron-7.1.0.ebuild
deleted file mode 100644
index b68506b39e5..00000000000
--- a/sys-cluster/neutron/neutron-7.1.0.ebuild
+++ /dev/null
@@ -1,304 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 linux-info user
-
-DESCRIPTION="A virtual network service for Openstack"
-HOMEPAGE="https://launchpad.net/neutron"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="compute-only dhcp doc ipv6 l3 metadata openvswitch linuxbridge server test sqlite mysql postgres"
-REQUIRED_USE="!compute-only? ( || ( mysql postgres sqlite ) )
- compute-only? ( !mysql !postgres !sqlite !dhcp !l3 !metadata !server
- || ( openvswitch linuxbridge ) )"
-
-CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}
- app-admin/sudo
- test? (
- ${RDEPEND}
- >=dev-python/cliff-1.14.0[${PYTHON_USEDEP}]
- <=dev-python/cliff-1.15.0[${PYTHON_USEDEP}]
- >=dev-python/cliff-1.14.0[${PYTHON_USEDEP}]
- >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/mock-1.2[${PYTHON_USEDEP}]
- <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/requests-mock-0.6.0[${PYTHON_USEDEP}]
- <=dev-python/requests-mock-0.7.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
- <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
- >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
- >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
- <=dev-python/testresources-1.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
- <=dev-python/testscenarios-0.5[${PYTHON_USEDEP}]
- >=dev-python/webtest-2.0[${PYTHON_USEDEP}]
- <=dev-python/webtest-2.0.20[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
- <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/os-testr-0.1.0[${PYTHON_USEDEP}]
- <=dev-python/os-testr-0.6.0[${PYTHON_USEDEP}]
- >=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
- >=dev-python/ddt-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
- ~dev-python/pylint-1.4.4[${PYTHON_USEDEP}]
- >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
- )"
-
-RDEPEND="
- <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.5.0-r1[${PYTHON_USEDEP}]
- <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
- >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
- !~dev-python/routes-2.0[${PYTHON_USEDEP}]
- !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
- <=dev-python/routes-2.2[${PYTHON_USEDEP}]
- >=dev-python/debtcollector-0.3.0[${PYTHON_USEDEP}]
- <=dev-python/debtcollector-1.1.0[${PYTHON_USEDEP}]
- ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/pecan-1.0.0[${PYTHON_USEDEP}]
- <=dev-python/pecan-1.0.3[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
- <=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
- >=dev-python/httplib2-0.7.5[${PYTHON_USEDEP}]
- <=dev-python/httplib2-0.9.2[${PYTHON_USEDEP}]
- >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/requests-2.9.0[${PYTHON_USEDEP}]
- <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/jinja-2.6[${PYTHON_USEDEP}]
- <=dev-python/jinja-2.8[${PYTHON_USEDEP}]
- >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- !=dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-4.0.0[${PYTHON_USEDEP}]
- >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
- !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
- <=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
- >=dev-python/python-neutronclient-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/python-neutronclient-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
- !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
- <=dev-python/retrying-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/ryu-3.23.2[${PYTHON_USEDEP}]
- <=dev-python/ryu-3.26[${PYTHON_USEDEP}]
- compute-only? (
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- sqlite? (
- >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- )
- mysql? (
- dev-python/mysql-python
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- postgres? (
- dev-python/psycopg:2
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- >=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
- <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
- >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/python-keystoneclient-2.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/alembic-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/alembic-0.8.3[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.1.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-policy-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-rootwrap-2.0.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-rootwrap-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-versionedobjects-0.9.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-versionedobjects-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/python-novaclient-2.28.1[${PYTHON_USEDEP}]
- !~dev-python/python-novaclient-2.33.0[${PYTHON_USEDEP}]
- <=dev-python/python-novaclient-2.35.0[${PYTHON_USEDEP}]
- <=dev-python/pyudev-0.18[${PYTHON_USEDEP}]
- sys-apps/iproute2
- net-misc/bridge-utils
- net-firewall/ipset
- net-firewall/iptables
- net-firewall/ebtables
- openvswitch? ( <=net-misc/openvswitch-2.5.9999 )
- ipv6? ( net-misc/radvd )
- dhcp? ( net-dns/dnsmasq[dhcp-tools] )"
-
-PATCHES=(
-)
-
-pkg_setup() {
- linux-info_pkg_setup
- CONFIG_CHECK_MODULES="VLAN_8021Q IP6_NF_FILTER IP6_NF_IPTABLES IP_NF_TARGET_REJECT \
- IP_NF_MANGLE IP_NF_TARGET_MASQUERADE NF_NAT_IPV4 NF_CONNTRACK_IPV4 NF_DEFRAG_IPV4 \
- NF_NAT_IPV4 NF_NAT NF_CONNTRACK IP_NF_FILTER IP_NF_IPTABLES NETFILTER_XTABLES"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK_MODULES}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled in kernel"
- done
- fi
- enewgroup neutron
- enewuser neutron -1 -1 /var/lib/neutron neutron
-}
-
-pkg_config() {
- fperms 0700 /var/log/neutron
- fowners neutron:neutron /var/log neutron
-}
-
-src_prepare() {
- sed -i '/^hacking/d' test-requirements.txt || die
- # it's /bin/ip not /sbin/ip
- sed -i 's/sbin\/ip\,/bin\/ip\,/g' etc/neutron/rootwrap.d/* || die
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- use doc && make -C doc html
-}
-
-python_test() {
- # https://bugs.launchpad.net/neutron/+bug/1234857
- # https://bugs.launchpad.net/swift/+bug/1249727
- # https://bugs.launchpad.net/neutron/+bug/1251657
- # Move tests out that attempt net connection, have failures
- mv $(find . -name test_ovs_tunnel.py) . || die
- sed -e 's:test_app_using_ipv6_and_ssl:_&:' \
- -e 's:test_start_random_port_with_ipv6:_&:' \
- -i neutron/tests/unit/test_wsgi.py || die
- testr init
- testr run --parallel || die "failed testsuite under python2.7"
-}
-
-python_install() {
- distutils-r1_python_install
- if use server; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-server"
- newconfd "${FILESDIR}/neutron-server.confd" "neutron-server"
- dosym /etc/neutron/plugin.ini /etc/neutron/plugins/ml2/ml2_conf.ini
- fi
- if use dhcp; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-dhcp-agent"
- newconfd "${FILESDIR}/neutron-dhcp-agent.confd" "neutron-dhcp-agent"
- fi
- if use l3; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-l3-agent"
- newconfd "${FILESDIR}/neutron-l3-agent.confd" "neutron-l3-agent"
- fi
- if use metadata; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-metadata-agent"
- newconfd "${FILESDIR}/neutron-metadata-agent.confd" "neutron-metadata-agent"
- fi
- if use openvswitch; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-openvswitch-agent"
- newconfd "${FILESDIR}/neutron-openvswitch-agent.confd" "neutron-openvswitch-agent"
- newinitd "${FILESDIR}/neutron.initd" "neutron-ovs-cleanup"
- newconfd "${FILESDIR}/neutron-openvswitch-agent.confd" "neutron-ovs-cleanup"
- fi
- if use linuxbridge; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-linuxbridge-agent"
- newconfd "${FILESDIR}/neutron-linuxbridge-agent.confd.liberty" "neutron-linuxbridge-agent"
- fi
- diropts -m 755 -o neutron -g neutron
- dodir /var/log/neutron /var/lib/neutron
- keepdir /etc/neutron
- insinto /etc/neutron
- insopts -m 0640 -o neutron -g neutron
-
- doins etc/*
- # stupid renames
- rm "${D}etc/neutron/quantum"
- insinto /etc/neutron
- doins -r "etc/neutron/plugins"
- insopts -m 0640 -o root -g root
- doins "etc/rootwrap.conf"
- doins -r "etc/neutron/rootwrap.d"
-
- insopts -m 0644
- insinto "/usr/lib64/python2.7/site-packages/neutron/db/migration/alembic_migrations/"
- doins -r "neutron/db/migration/alembic_migrations/versions"
-
- #add sudoers definitions for user neutron
- insinto /etc/sudoers.d/
- insopts -m 0440 -o root -g root
- newins "${FILESDIR}/neutron.sudoersd" neutron
-
- #remove superfluous stuff
- rm -R "${D}/usr/etc/"
-}
-
-python_install_all() {
- use doc && local HTML_DOCS=( doc/build/html/. )
- distutils-r1_python_install_all
-}
-
-pkg_postinst() {
- elog
- elog "neutron-server's conf.d file may need updating to include additional ini files"
- elog "We currently assume the ml2 plugin will be used but do not make assumptions"
- elog "on if you will use openvswitch or linuxbridge (or something else)"
- elog
- elog "Other conf.d files may need updating too, but should be good for the default use case"
- elog
-}
diff --git a/sys-cluster/neutron/neutron-7.1.1.ebuild b/sys-cluster/neutron/neutron-7.1.1.ebuild
deleted file mode 100644
index 522774827aa..00000000000
--- a/sys-cluster/neutron/neutron-7.1.1.ebuild
+++ /dev/null
@@ -1,303 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 linux-info user
-
-DESCRIPTION="A virtual network service for Openstack"
-HOMEPAGE="https://launchpad.net/neutron"
-SRC_URI="https://tarballs.openstack.org/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="compute-only dhcp doc ipv6 l3 metadata openvswitch linuxbridge server test sqlite mysql postgres"
-REQUIRED_USE="!compute-only? ( || ( mysql postgres sqlite ) )
- compute-only? ( !mysql !postgres !sqlite !dhcp !l3 !metadata !server
- || ( openvswitch linuxbridge ) )"
-
-CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
-DEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- ${CDEPEND}
- app-admin/sudo
- test? (
- ${RDEPEND}
- >=dev-python/cliff-1.14.0[${PYTHON_USEDEP}]
- <=dev-python/cliff-1.15.0[${PYTHON_USEDEP}]
- >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/mock-1.2[${PYTHON_USEDEP}]
- <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/requests-mock-0.6.0[${PYTHON_USEDEP}]
- <=dev-python/requests-mock-0.7.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
- <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
- >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
- >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
- <=dev-python/testresources-1.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
- <=dev-python/testscenarios-0.5[${PYTHON_USEDEP}]
- >=dev-python/webtest-2.0[${PYTHON_USEDEP}]
- <=dev-python/webtest-2.0.20[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
- <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/os-testr-0.1.0[${PYTHON_USEDEP}]
- <=dev-python/os-testr-0.6.0[${PYTHON_USEDEP}]
- >=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
- >=dev-python/ddt-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
- ~dev-python/pylint-1.4.4[${PYTHON_USEDEP}]
- >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
- )"
-
-RDEPEND="
- <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.5.0-r1[${PYTHON_USEDEP}]
- <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
- >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
- !~dev-python/routes-2.0[${PYTHON_USEDEP}]
- !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
- <=dev-python/routes-2.2[${PYTHON_USEDEP}]
- >=dev-python/debtcollector-0.3.0[${PYTHON_USEDEP}]
- <=dev-python/debtcollector-1.1.0[${PYTHON_USEDEP}]
- ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/pecan-1.0.0[${PYTHON_USEDEP}]
- <=dev-python/pecan-1.0.3[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
- <=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
- >=dev-python/httplib2-0.7.5[${PYTHON_USEDEP}]
- <=dev-python/httplib2-0.9.2[${PYTHON_USEDEP}]
- >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/requests-2.9.0[${PYTHON_USEDEP}]
- <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/jinja-2.6[${PYTHON_USEDEP}]
- <=dev-python/jinja-2.8[${PYTHON_USEDEP}]
- >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- !=dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-4.0.0[${PYTHON_USEDEP}]
- >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
- !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
- <=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
- >=dev-python/python-neutronclient-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/python-neutronclient-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
- !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
- <=dev-python/retrying-1.3.3[${PYTHON_USEDEP}]
- >=dev-python/ryu-3.23.2[${PYTHON_USEDEP}]
- <=dev-python/ryu-3.26[${PYTHON_USEDEP}]
- compute-only? (
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- sqlite? (
- >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- )
- mysql? (
- dev-python/mysql-python
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- postgres? (
- dev-python/psycopg:2
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- >=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
- <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
- >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
- <dev-python/python-keystoneclient-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/alembic-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/alembic-0.8.3[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.1.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-policy-0.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-policy-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-rootwrap-2.0.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-rootwrap-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-versionedobjects-0.9.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-versionedobjects-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/python-novaclient-2.28.1[${PYTHON_USEDEP}]
- !~dev-python/python-novaclient-2.33.0[${PYTHON_USEDEP}]
- <=dev-python/python-novaclient-2.35.0[${PYTHON_USEDEP}]
- <=dev-python/pyudev-0.18[${PYTHON_USEDEP}]
- sys-apps/iproute2
- net-misc/bridge-utils
- net-firewall/ipset
- net-firewall/iptables
- net-firewall/ebtables
- openvswitch? ( <=net-misc/openvswitch-2.5.9999 )
- ipv6? ( net-misc/radvd )
- dhcp? ( net-dns/dnsmasq[dhcp-tools] )"
-
-PATCHES=(
-)
-
-pkg_setup() {
- linux-info_pkg_setup
- CONFIG_CHECK_MODULES="VLAN_8021Q IP6_NF_FILTER IP6_NF_IPTABLES IP_NF_TARGET_REJECT \
- IP_NF_MANGLE IP_NF_TARGET_MASQUERADE NF_NAT_IPV4 NF_CONNTRACK_IPV4 NF_DEFRAG_IPV4 \
- NF_NAT_IPV4 NF_NAT NF_CONNTRACK IP_NF_FILTER IP_NF_IPTABLES NETFILTER_XTABLES"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK_MODULES}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled in kernel"
- done
- fi
- enewgroup neutron
- enewuser neutron -1 -1 /var/lib/neutron neutron
-}
-
-pkg_config() {
- fperms 0700 /var/log/neutron
- fowners neutron:neutron /var/log neutron
-}
-
-src_prepare() {
- sed -i '/^hacking/d' test-requirements.txt || die
- # it's /bin/ip not /sbin/ip
- sed -i 's/sbin\/ip\,/bin\/ip\,/g' etc/neutron/rootwrap.d/* || die
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- use doc && make -C doc html
-}
-
-python_test() {
- # https://bugs.launchpad.net/neutron/+bug/1234857
- # https://bugs.launchpad.net/swift/+bug/1249727
- # https://bugs.launchpad.net/neutron/+bug/1251657
- # Move tests out that attempt net connection, have failures
- mv $(find . -name test_ovs_tunnel.py) . || die
- sed -e 's:test_app_using_ipv6_and_ssl:_&:' \
- -e 's:test_start_random_port_with_ipv6:_&:' \
- -i neutron/tests/unit/test_wsgi.py || die
- testr init
- testr run --parallel || die "failed testsuite under python2.7"
-}
-
-python_install() {
- distutils-r1_python_install
- if use server; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-server"
- newconfd "${FILESDIR}/neutron-server.confd" "neutron-server"
- dosym /etc/neutron/plugin.ini /etc/neutron/plugins/ml2/ml2_conf.ini
- fi
- if use dhcp; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-dhcp-agent"
- newconfd "${FILESDIR}/neutron-dhcp-agent.confd" "neutron-dhcp-agent"
- fi
- if use l3; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-l3-agent"
- newconfd "${FILESDIR}/neutron-l3-agent.confd" "neutron-l3-agent"
- fi
- if use metadata; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-metadata-agent"
- newconfd "${FILESDIR}/neutron-metadata-agent.confd" "neutron-metadata-agent"
- fi
- if use openvswitch; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-openvswitch-agent"
- newconfd "${FILESDIR}/neutron-openvswitch-agent.confd" "neutron-openvswitch-agent"
- newinitd "${FILESDIR}/neutron.initd" "neutron-ovs-cleanup"
- newconfd "${FILESDIR}/neutron-openvswitch-agent.confd" "neutron-ovs-cleanup"
- fi
- if use linuxbridge; then
- newinitd "${FILESDIR}/neutron.initd" "neutron-linuxbridge-agent"
- newconfd "${FILESDIR}/neutron-linuxbridge-agent.confd.liberty" "neutron-linuxbridge-agent"
- fi
- diropts -m 755 -o neutron -g neutron
- dodir /var/log/neutron /var/lib/neutron
- keepdir /etc/neutron
- insinto /etc/neutron
- insopts -m 0640 -o neutron -g neutron
-
- doins etc/*
- # stupid renames
- rm "${D}etc/neutron/quantum"
- insinto /etc/neutron
- doins -r "etc/neutron/plugins"
- insopts -m 0640 -o root -g root
- doins "etc/rootwrap.conf"
- doins -r "etc/neutron/rootwrap.d"
-
- insopts -m 0644
- insinto "/usr/lib64/python2.7/site-packages/neutron/db/migration/alembic_migrations/"
- doins -r "neutron/db/migration/alembic_migrations/versions"
-
- #add sudoers definitions for user neutron
- insinto /etc/sudoers.d/
- insopts -m 0440 -o root -g root
- newins "${FILESDIR}/neutron.sudoersd" neutron
-
- #remove superfluous stuff
- rm -R "${D}/usr/etc/"
-}
-
-python_install_all() {
- use doc && local HTML_DOCS=( doc/build/html/. )
- distutils-r1_python_install_all
-}
-
-pkg_postinst() {
- elog
- elog "neutron-server's conf.d file may need updating to include additional ini files"
- elog "We currently assume the ml2 plugin will be used but do not make assumptions"
- elog "on if you will use openvswitch or linuxbridge (or something else)"
- elog
- elog "Other conf.d files may need updating too, but should be good for the default use case"
- elog
-}
diff --git a/sys-cluster/nova/Manifest b/sys-cluster/nova/Manifest
index 438dbbd00cd..3b1a8059757 100644
--- a/sys-cluster/nova/Manifest
+++ b/sys-cluster/nova/Manifest
@@ -1,5 +1,4 @@
DIST liberty-nova.conf.sample 134201 SHA256 32752212c571c4a1473c3fa8bbd197a658ee54e233b4d46a157807be42997e42 SHA512 5325a31a0fccb9898bec0a022f5430dcc1729615c8eac88a4261c403f9ecd8ce2b07d73b52f3bc2c5cbe681234b30b923adb94385aac28e08d982a8f8bfef350 WHIRLPOOL 6d2894160a96742551777ce397b67f332c4f2793402f4634a2cfd0005ba99fb077cf0d0306a59e4b8c7f689914860e5d7f45d838c845d6a896a66c24f0f141c0
DIST mitaka-nova.conf.sample 36427 SHA256 dd4c3ccab89fbe9f69df520f47d439c7ffa440d3f8b288b0ab99ac328a02ec75 SHA512 169671bde5cb5bb89065d801f80aa0d3c664af652d9ddb0c409ed3e0af2c0b94f1dbd0ebf834849e3e75dc38972935ec65a6e533d86148a7315839597d577cad WHIRLPOOL 20f95a296c3d112a532c9c5cc911d30b67472868d94bcfd52fadfd7105f9095a6b77020ca1caa6a70319548239358868d809feed363a82e4d574aceb6e5f016d
-DIST nova-12.0.4.tar.gz 5256533 SHA256 1f35f55d7ebc9f971316d13f9a9ce3647b50cd514d60a1b1b318704550d0e7a1 SHA512 b3c89c54685b0f34c21babbd14b7cfe3ecc3712a21654dfeecc5e7209b037c529f3647f029b6eacaf79b119be46bde5f3901c037ed940d9ad893fbc5f4910d62 WHIRLPOOL 4810d6ac533cf8154754d9de94d033887bcb2ae862c5e065bb2084a04dc76bb77fc5b1a8e096adbac81749f9382bed27cef98c4d6ba541c36fd6c3df9d155a31
DIST nova-13.1.0.tar.gz 5461429 SHA256 2c44b0f015f48348d768abff0e0fc90c6f8faf46743cae94736d77704f249368 SHA512 f16ce0248b86a19688500b97c364fe264919a900f0182f68c900a8e68b06bb22d688be597d5b3d7e8e38753cedaa732360972412508f3ecfea950394a526c6c5 WHIRLPOOL f5d46a1166524d5ad79574f5f63ecc99a6a42865d2280d33a66103d2a88fb26e9c54c8a9ec85901970effd1aed89c42e33ce70a7e900cf642b9c90bfdc4bc52d
DIST nova-13.1.1.tar.gz 5407219 SHA256 1af74830f52deb24ca0f25acf150c2338a414ccd2082bbb31092d55d28a92a9d SHA512 18866a1fb9e1e94b91b27d72318401de755255be3b3fd374f156ccf88c84697a8f54b6f5be17842f55b5ff323f19d778213925dbeb4ae9c02225d2b3fb56b3cc WHIRLPOOL d5bd05f773b49cf309f02ea34c7d5cbbd82078a17a7aadc66ebd1ed9dd8180a036f31d74d27ea6f1af644eaa873e0e955a52b44ee66448ea93e0507561055d50
diff --git a/sys-cluster/nova/nova-12.0.4-r1.ebuild b/sys-cluster/nova/nova-12.0.4-r1.ebuild
deleted file mode 100644
index 01406dad6bd..00000000000
--- a/sys-cluster/nova/nova-12.0.4-r1.ebuild
+++ /dev/null
@@ -1,312 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1 eutils linux-info multilib user
-
-DESCRIPTION="Cloud computing fabric controller (main part of an IaaS system) in Python"
-HOMEPAGE="https://launchpad.net/nova"
-SRC_URI="
- https://tarballs.openstack.org/${PN}/${P}.tar.gz
- https://dev.gentoo.org/~prometheanfire/dist/nova/liberty/nova.conf.sample -> liberty-nova.conf.sample"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="+compute compute-only iscsi +memcached mysql +novncproxy openvswitch postgres +rabbitmq sqlite test"
-REQUIRED_USE="
- !compute-only? ( || ( mysql postgres sqlite ) )
- compute-only? ( compute !rabbitmq !memcached !mysql !postgres !sqlite )"
-
-CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
-# need to package dev-python/sphinxcontrib-seqdiag
-DEPEND="
- >=dev-python/setuptools-16.0[${PYTHON_USEDEP}]
- ${CDEPEND}
- app-admin/sudo
- test? (
- ${RDEPEND}
- >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
- <=dev-python/coverage-4.0.3[${PYTHON_USEDEP}]
- >=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/fixtures-1.4.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/mock-1.2[${PYTHON_USEDEP}]
- <=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
- >=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/mox3-0.12.0[${PYTHON_USEDEP}]
- >=dev-python/psycopg-2.5[${PYTHON_USEDEP}]
- <=dev-python/psycopg-2.6.1[${PYTHON_USEDEP}]
- >=dev-python/pymysql-0.6.2[${PYTHON_USEDEP}]
- <=dev-python/pymysql-0.6.7[${PYTHON_USEDEP}]
- ~dev-python/python-barbicanclient-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/python-ironicclient-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/python-ironicclient-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/subunit-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/requests-mock-0.6.0[${PYTHON_USEDEP}]
- <=dev-python/requests-mock-0.7.0[${PYTHON_USEDEP}]
- >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
- !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
- <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
- >=dev-python/pillow-2.4.0[${PYTHON_USEDEP}]
- <dev-python/pillow-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-sphinx-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
- <=dev-python/oslotest-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
- <=dev-python/testrepository-0.0.20[${PYTHON_USEDEP}]
- >=dev-python/testresources-0.2.4[${PYTHON_USEDEP}]
- <=dev-python/testresources-1.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/testtools-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/tempest-lib-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/tempest-lib-0.11.0[${PYTHON_USEDEP}]
- >=dev-python/bandit-0.13.2[${PYTHON_USEDEP}]
- <=dev-python/bandit-0.16.2[${PYTHON_USEDEP}]
- >=dev-python/oslo-vmware-0.16.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-vmware-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/reno-0.1.1[${PYTHON_USEDEP}]
- )"
-
-# barbicanclient is in here for doc generation
-RDEPEND="
- ${CDEPEND}
- compute-only? (
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- sqlite? (
- >=dev-python/sqlalchemy-0.9.9[sqlite,${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
- )
- mysql? (
- dev-python/mysql-python
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- postgres? (
- dev-python/psycopg:2
- >=dev-python/sqlalchemy-0.9.9[${PYTHON_USEDEP}]
- <dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
- )
- >=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
- <=dev-python/boto-2.38.0[${PYTHON_USEDEP}]
- >=dev-python/decorator-3.4.0[${PYTHON_USEDEP}]
- <=dev-python/decorator-4.0.6[${PYTHON_USEDEP}]
- ~dev-python/eventlet-0.17.4[${PYTHON_USEDEP}]
- >=dev-python/jinja-2.6[${PYTHON_USEDEP}]
- <=dev-python/jinja-2.8[${PYTHON_USEDEP}]
- >=dev-python/keystonemiddleware-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/keystonemiddleware-2.4.0[${PYTHON_USEDEP}]
- <=dev-python/keystonemiddleware-4.0.0[${PYTHON_USEDEP}]
- >=dev-python/lxml-2.3[${PYTHON_USEDEP}]
- <=dev-python/lxml-3.5.0[${PYTHON_USEDEP}]
- >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
- !~dev-python/routes-2.0[${PYTHON_USEDEP}]
- !~dev-python/routes-2.1[$(python_gen_usedep 'python2_7')]
- <=dev-python/routes-2.2[${PYTHON_USEDEP}]
- >=dev-python/cryptography-1.0[${PYTHON_USEDEP}]
- <=dev-python/cryptography-1.1.2-r9999[${PYTHON_USEDEP}]
- >=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
- <=dev-python/webob-1.5.1[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
- <=dev-python/greenlet-0.4.9[${PYTHON_USEDEP}]
- >=dev-python/pastedeploy-1.5.0-r1[${PYTHON_USEDEP}]
- <=dev-python/pastedeploy-1.5.2[${PYTHON_USEDEP}]
- <=dev-python/paste-2.0.2[${PYTHON_USEDEP}]
- >=dev-python/prettytable-0.7[${PYTHON_USEDEP}]
- <dev-python/prettytable-0.8[${PYTHON_USEDEP}]
- >=dev-python/sqlalchemy-migrate-0.9.6[${PYTHON_USEDEP}]
- <=dev-python/sqlalchemy-migrate-0.10.0[${PYTHON_USEDEP}]
- >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
- !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
- <=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
- ~dev-python/netifaces-0.10.4[${PYTHON_USEDEP}]
- >=dev-python/paramiko-1.13.0[${PYTHON_USEDEP}]
- <=dev-python/paramiko-1.16.0[${PYTHON_USEDEP}]
- >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
- <=dev-python/Babel-2.1.1[${PYTHON_USEDEP}]
- >=dev-python/iso8601-0.1.9[${PYTHON_USEDEP}]
- <=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/jsonschema-2.5.0[${PYTHON_USEDEP}]
- <dev-python/jsonschema-2.5.1-r9999[${PYTHON_USEDEP}]
- >=dev-python/python-cinderclient-1.3.1[${PYTHON_USEDEP}]
- <=dev-python/python-cinderclient-1.5.0[${PYTHON_USEDEP}]
- >=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
- !~dev-python/python-keystoneclient-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/python-keystoneclient-2.0.0-r9999[${PYTHON_USEDEP}]
- >=dev-python/python-neutronclient-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/python-neutronclient-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/python-glanceclient-0.18.0[${PYTHON_USEDEP}]
- <=dev-python/python-glanceclient-1.2.0[${PYTHON_USEDEP}]
- >=dev-python/python-barbicanclient-3.0.1[${PYTHON_USEDEP}]
- <=dev-python/python-barbicanclient-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
- !~dev-python/requests-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/requests-2.9.0[${PYTHON_USEDEP}]
- <=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- <=dev-python/six-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/stevedore-1.10.0[${PYTHON_USEDEP}]
- >=dev-python/setuptools-16.0[${PYTHON_USEDEP}]
- >=dev-python/websockify-0.6.1[${PYTHON_USEDEP}]
- >=dev-python/websockify-0.6.1[${PYTHON_USEDEP}]
- <=dev-python/websockify-0.7.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-concurrency-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-concurrency-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-config-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-context-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-log-1.8.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-log-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-reports-0.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-reports-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-serialization-2.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-utils-2.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-utils-2.6.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-utils-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-db-2.4.1[${PYTHON_USEDEP}]
- <=dev-python/oslo-db-4.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-rootwrap-2.0.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-rootwrap-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-messaging-1.16.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-1.17.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.6.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.7.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.8.1[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-2.9.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-messaging-3.1.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-messaging-3.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-i18n-3.1.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-service-0.7.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-service-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/rfc3986-0.2.0[${PYTHON_USEDEP}]
- <=dev-python/rfc3986-0.3.1[${PYTHON_USEDEP}]
- >=dev-python/oslo-middleware-2.8.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.0.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.1.0[${PYTHON_USEDEP}]
- !~dev-python/oslo-middleware-3.2.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-middleware-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/psutil-1.1.1[${PYTHON_USEDEP}]
- <dev-python/psutil-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/oslo-versionedobjects-0.9.0[${PYTHON_USEDEP}]
- <=dev-python/oslo-versionedobjects-1.1.0[${PYTHON_USEDEP}]
- >=dev-python/alembic-0.8.0[${PYTHON_USEDEP}]
- <=dev-python/alembic-0.8.3[${PYTHON_USEDEP}]
- >=dev-python/os-brick-0.4.0[${PYTHON_USEDEP}]
- <=dev-python/os-brick-0.6.0[${PYTHON_USEDEP}]
- >=dev-python/libvirt-python-1.3.4[${PYTHON_USEDEP}]
- app-emulation/libvirt[iscsi?]
- novncproxy? ( www-apps/novnc )
- sys-apps/iproute2
- openvswitch? ( <=net-misc/openvswitch-2.5.9999 )
- rabbitmq? ( net-misc/rabbitmq-server )
- memcached? ( net-misc/memcached
- <=dev-python/python-memcached-1.57 )
- sys-fs/sysfsutils
- sys-fs/multipath-tools
- net-misc/bridge-utils
- compute? (
- app-cdr/cdrkit
- sys-fs/dosfstools
- app-emulation/qemu
- )
- iscsi? (
- sys-fs/lsscsi
- >=sys-block/open-iscsi-2.0.872-r3
- )"
-
-#PATCHES=(
-#)
-
-pkg_setup() {
- linux-info_pkg_setup
- CONFIG_CHECK_MODULES="BLK_DEV_NBD VHOST_NET IP6_NF_FILTER IP6_NF_IPTABLES IP_NF_TARGET_REJECT \
- IP_NF_MANGLE IP_NF_TARGET_MASQUERADE NF_NAT_IPV4 IP_NF_FILTER IP_NF_IPTABLES \
- NF_CONNTRACK_IPV4 NF_DEFRAG_IPV4 NF_NAT_IPV4 NF_NAT NF_CONNTRACK NETFILTER_XTABLES \
- ISCSI_TCP SCSI_DH DM_MULTIPATH DM_SNAPSHOT"
- if linux_config_exists; then
- for module in ${CONFIG_CHECK_MODULES}; do
- linux_chkconfig_present ${module} || ewarn "${module} needs to be enabled in kernel"
- done
- fi
- enewgroup nova
- enewuser nova -1 -1 /var/lib/nova nova
-}
-
-python_prepare_all() {
- sed -i '/^hacking/d' test-requirements.txt || die
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- testr init
- testr run --parallel || die "failed testsuite under python2.7"
-}
-
-python_install() {
- distutils-r1_python_install
-
- if use !compute-only; then
- for svc in api cert conductor consoleauth network scheduler spicehtml5proxy xvpvncproxy; do
- newinitd "${FILESDIR}/nova.initd" "nova-${svc}"
- done
- fi
- use compute && newinitd "${FILESDIR}/nova.initd" "nova-compute"
- use novncproxy && newinitd "${FILESDIR}/nova.initd" "nova-novncproxy"
-
- diropts -m 0750 -o nova -g qemu
- dodir /var/log/nova /var/lib/nova/instances
- diropts -m 0750 -o nova -g nova
-
- insinto /etc/nova
- insopts -m 0640 -o nova -g nova
- newins "${FILESDIR}/etc.liberty/api-paste.ini" "api-paste.ini"
- newins "${FILESDIR}/etc.liberty/cells.json" "cells.json"
- newins "${FILESDIR}/etc.liberty/logging_sample.conf" "logging_sample.conf"
- newins "${DISTDIR}/liberty-nova.conf.sample" "nova.conf.sample"
- newins "${FILESDIR}/etc.liberty/policy.json" "policy.json"
- newins "${FILESDIR}/etc.liberty/rootwrap.conf" "rootwrap.conf"
- #rootwrap filters
- insinto /etc/nova/rootwrap.d
- newins "${FILESDIR}/etc.liberty/rootwrap.d/api-metadata.filters" "api-metadata.filters"
- newins "${FILESDIR}/etc.liberty/rootwrap.d/compute.filters" "compute.filters"
- newins "${FILESDIR}/etc.liberty/rootwrap.d/network.filters" "network.filters"
- #copy migration conf file (not coppied on install via setup.py script)
- insopts -m 0644
- insinto /usr/$(get_libdir)/python2.7/site-packages/nova/db/sqlalchemy/migrate_repo/
- doins "nova/db/sqlalchemy/migrate_repo/migrate.cfg"
- #copy the CA cert dir (not coppied on install via setup.py script)
- cp -R "${S}/nova/CA" "${D}/usr/$(get_libdir)/python2.7/site-packages/nova/" || die "installing CA files failed"
-
- #add sudoers definitions for user nova
- insinto /etc/sudoers.d/
- insopts -m 0600 -o root -g root
- doins "${FILESDIR}/nova-sudoers"
-
- if use iscsi ; then
- # Install udev rules for handle iscsi disk with right links under /dev
- udev_newrules "${FILESDIR}/openstack-scsi-disk.rules" 60-openstack-scsi-disk.rules
-
- insinto /etc/nova/
- doins "${FILESDIR}/scsi-openscsi-link.sh"
- fi
-}
-
-pkg_postinst() {
- if use iscsi ; then
- elog "iscsid needs to be running if you want cinder to connect"
- fi
-}